Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 134905 - oops on resume from acpi S3
oops on resume from acpi S3
Status: CLOSED DUPLICATE of bug 154046
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 23:51 EDT by Jeremy Katz
Modified: 2015-01-04 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 15:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-10-06 23:51:33 EDT
Getting an oops on resume via ACPI on 2.6.8-1.598 on my Thinkpad X31.
 With APM, I can suspend but never resume (might be related).  Oops is
as follows:

Stopping tasks:
===========================================================================================================================|
Back to C!
zapping low mappings.
Debug: sleeping function called from invalid context at mm/slab.c:2063
in_atomic():0[expected: 0], irqs_disabled():1
 [<0211c80d>] __might_sleep+0x7d/0x88
 [<0214a397>] __kmalloc+0x42/0x7d
 [<021f264d>] acpi_os_allocate+0xa/0xb
 [<022065ea>] acpi_ut_allocate+0x2e/0x52
 [<02206581>] acpi_ut_initialize_buffer+0x41/0x7c
 [<022032d4>] acpi_rs_create_byte_stream+0x23/0x3b
 [<022047d6>] acpi_rs_set_srs_method_data+0x1b/0x9d
 [<0211adc5>] recalc_task_prio+0x128/0x133
 [<0220bfbc>] acpi_pci_link_set+0xfe/0x176
 [<0220c3c0>] irqrouter_resume+0x1c/0x24
 [<0224126a>] sysdev_resume+0x3e/0xa5
 [<02244164>] device_power_up+0x5/0xa
 [<0213bf96>] suspend_enter+0x25/0x2d
 [<0213c004>] enter_state+0x3f/0x5e
 [<0213c103>] state_store+0x83/0x91
 [<0213c080>] state_store+0x0/0x91
 [<021a97e3>] subsys_attr_store+0x19/0x21
 [<021a9956>] flush_write_buffer+0x1d/0x22
 [<021a997d>] sysfs_write_file+0x22/0x35
 [<02163ede>] vfs_write+0xb6/0xe2
 [<02163fa8>] sys_write+0x3c/0x62
Comment 1 Alexander Boström 2004-10-23 04:36:08 EDT
I get the exact same oops on 2.6.9-1.640 on a Thinkpad T21. The resume
seems to work anyway, though.
Comment 2 Dave Jones 2004-11-27 15:23:53 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 3 Satish Balay 2004-11-27 16:45:39 EST
I still see the following with 2.6.9-1.681_FC3 on T40 (on ACPI resume). I've
been using APM instead of ACPI - so I'm not sure if this causes grief - if
repeated a number of times.

---
Nov 27 15:38:45 asterix kernel: Stopping tasks:
===================================================================================|
Nov 27 15:38:45 asterix kernel: zapping low mappings.
Nov 27 15:38:45 asterix kernel: Warning: CPU frequency is 1600000, cpufreq
assumed 600000 kHz.
Nov 27 15:38:45 asterix kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2063
Nov 27 15:38:45 asterix kernel: in_atomic():0[expected: 0], irqs_disabled():1
Nov 27 15:38:45 asterix kernel:  [<0211cbcb>] __might_sleep+0x7d/0x8a
Nov 27 15:38:45 asterix kernel:  [<0214bf9f>] __kmalloc+0x42/0x7d
Nov 27 15:38:45 asterix kernel:  [<021f48e9>] acpi_os_allocate+0xa/0xb
Nov 27 15:38:45 asterix kernel:  [<0220878a>] acpi_ut_allocate+0x2e/0x52
Nov 27 15:38:45 asterix kernel:  [<02208721>] acpi_ut_initialize_buffer+0x41/0x7c
Nov 27 15:38:45 asterix kernel:  [<02205474>] acpi_rs_create_byte_stream+0x23/0x3b
Nov 27 15:38:45 asterix kernel:  [<02206976>] acpi_rs_set_srs_method_data+0x1b/0x9d
Nov 27 15:38:45 asterix kernel:  [<0211ba78>] scheduler_tick+0x38f/0x4c0
Nov 27 15:38:45 asterix kernel:  [<0211b101>] recalc_task_prio+0x128/0x133
Nov 27 15:38:45 asterix kernel:  [<0220e15c>] acpi_pci_link_set+0xfe/0x176
Nov 27 15:38:45 asterix kernel:  [<0220e4e0>] irqrouter_resume+0x1c/0x24
Nov 27 15:38:45 asterix kernel:  [<0224366a>] sysdev_resume+0x3e/0xa5
Nov 27 15:38:45 asterix kernel:  [<02246564>] device_power_up+0x5/0xa
Nov 27 15:38:45 asterix kernel:  [<0213db9a>] suspend_enter+0x25/0x2d
Nov 27 15:38:45 asterix kernel:  [<0213dc08>] enter_state+0x3f/0x5e
Nov 27 15:38:45 asterix kernel:  [<0220ad54>] acpi_suspend+0x28/0x34
Nov 27 15:38:45 asterix kernel:  [<0220b7c4>] acpi_system_write_sleep+0x5c/0x6d
Nov 27 15:38:45 asterix kernel:  [<02179769>] locate_fd+0x5c/0x78
Nov 27 15:38:45 asterix kernel:  [<02165c82>] vfs_write+0xb6/0xe2
Nov 27 15:38:45 asterix kernel:  [<02165d4c>] sys_write+0x3c/0x62
Nov 27 15:38:45 asterix kernel: ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11
(level, low) -> IRQ 11
Comment 4 Alexander Boström 2004-11-29 04:32:06 EST
I also still see this with the latest kernel (IBM T21).
Comment 5 Satish Balay 2004-12-14 11:42:11 EST
Still oopses with 2.6.9-1.715_FC3
Comment 6 Dave Jones 2005-04-16 01:28:53 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 7 Jeremy Katz 2005-04-16 09:38:15 EDT
Still happens with the devel tree (2.6.11-1.1238_FC4 right now)...

Back to C!
Warning: CPU frequency is 1600000, cpufreq assumed 800000 kHz.
Debug: sleeping function called from invalid context at mm/slab.c:2096
in_atomic():0, irqs_disabled():1
 [<c015c3b4>] kmem_cache_alloc+0x63/0x78
 [<c0247e4e>] acpi_pci_link_set+0x3f/0x17f
 [<c0248298>] irqrouter_resume+0x14/0x28
 [<c029144e>] sysdev_resume+0x3d/0xb5
 [<c02956ed>] device_power_up+0x5/0xa
 [<c014a7eb>] suspend_enter+0x44/0x46
 [<c014a779>] suspend_prepare+0x57/0x85
 [<c014a85e>] enter_state+0x49/0x54
 [<c014a959>] state_store+0x81/0x8f
 [<c014a8d8>] state_store+0x0/0x8f
 [<c01ce224>] subsys_attr_store+0x1b/0x1f
 [<c01ce42d>] flush_write_buffer+0x22/0x28
 [<c01ce47c>] sysfs_write_file+0x49/0x6e
 [<c01ce433>] sysfs_write_file+0x0/0x6e
 [<c017bbc8>] vfs_write+0x9e/0x110
 [<c017bce5>] sys_write+0x41/0x6a
 [<c0103a61>] syscall_call+0x7/0xb
Comment 8 Satish Balay 2005-07-15 15:57:55 EDT
With 2.6.12-1.1372_FC3:

Jul 15 14:48:44 asterix kernel: Stopping tasks:
==================================================================================|
Jul 15 14:48:44 asterix kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2126
Jul 15 14:48:44 asterix kernel: in_atomic():0, irqs_disabled():1
Jul 15 14:48:44 asterix kernel:  [<c011d351>] __might_sleep+0x9a/0xab
Jul 15 14:48:44 asterix kernel:  [<c0159b87>] kmem_cache_alloc+0x3c/0x49
Jul 15 14:48:44 asterix kernel:  [<c023fd38>] acpi_pci_link_set+0x4a/0x1a2
Jul 15 14:48:44 asterix kernel:  [<c02401b1>] irqrouter_resume+0x1c/0x24
Jul 15 14:48:44 asterix kernel:  [<c027f792>] sysdev_resume+0x5c/0xac
Jul 15 14:48:44 asterix kernel:  [<c028378b>] device_power_up+0x5/0xa
Jul 15 14:48:44 asterix kernel:  [<c014895b>] suspend_enter+0x2d/0x46
Jul 15 14:48:44 asterix kernel:  [<c01488f7>] suspend_prepare+0x55/0x8c
Jul 15 14:48:44 asterix kernel:  [<c01489e4>] enter_state+0x39/0x55
Jul 15 14:48:44 asterix gpm[3297]: *** info [mice.c(1766)]:
Jul 15 14:48:44 asterix kernel:  [<c023d183>] acpi_suspend+0x28/0x35
Jul 15 14:48:44 asterix gpm[3297]: imps2: Auto-detected intellimouse PS/2
Jul 15 14:48:45 asterix kernel:  [<c023d252>] acpi_system_write_sleep+0x5a/0x6b
Jul 15 14:48:45 asterix kernel:  [<c0176e4d>] filp_close+0x3f/0x6f
Jul 15 14:48:45 asterix kernel:  [<c01778a5>] vfs_write+0xaf/0x10a
Jul 15 14:48:45 asterix kernel:  [<c01779ab>] sys_write+0x41/0x6a
Jul 15 14:48:45 asterix kernel:  [<c0103895>] syscall_call+0x7/0xb
Jul 15 14:48:45 asterix kernel: hub 3-0:1.0: resubmit --> -108
Jul 15 14:48:45 asterix kernel: hub 2-0:1.0: resubmit --> -108
Comment 9 Dave Jones 2005-08-04 15:29:07 EDT

*** This bug has been marked as a duplicate of 154046 ***

Note You need to log in before you can comment on or make changes to this bug.